Skip to main content
GET
/
v6
/
accounting
/
glAccounts
/
{id}
Get GL account
curl --request GET \
  --url https://sandbox.tight.com/v6/accounting/glAccounts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "gla_38560327",
    "status": "ACTIVE",
    "name": "Officer(s) Salaries and Wages",
    "accountNo": "60210",
    "parentGlAccount": {
      "id": "gla_38560327",
      "accountNo": "60000",
      "name": "Payroll Expenses"
    },
    "type": "EXPENSE",
    "subType": {
      "assetType": "CASH",
      "liabilityType": "AP",
      "equityType": "CAPITAL",
      "incomeType": "SERVICE_INCOME",
      "expenseType": "MERCHANT_FEE"
    },
    "cashFlowType": "OPERATING",
    "level": 1,
    "hasChildren": false,
    "templateGlAccount": {
      "id": "tgla_1"
    },
    "balance": 123456,
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the GL account

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.